> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an integration field mappings

> Create an integration field mappings

### Request body

`CreateFieldMappingRequest`

<ParamField body="destination_field" type="string" required />

<ParamField body="fallback" type="string,null" />

<ParamField body="integration_account" type="string" required />

<ParamField body="mapping_group" type="string" required />

<ParamField body="source_field" type="string" required />

<ParamField body="template" type="string,null" />

<ParamField body="transform" type="string,null">
  One of `none`, `uppercase`, `lowercase`, `trim`.
</ParamField>

### Responses

<ResponseField name="201" type="FieldMappingResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/integration-field-mappings' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "destination_field": "string",
    "fallback": null,
    "integration_account": "string",
    "mapping_group": "string",
    "source_field": "string",
    "template": null,
    "transform": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "destination_field": "string",
    "fallback": null,
    "id": "string",
    "integration_account": "string",
    "is_active": true,
    "mapping_group": "string",
    "source_field": "string",
    "template": null,
    "transform": "string"
  }
  ```
</ResponseExample>
